Object.defineProperty(exports, "__esModule", { value: true });
let spawn = require('child_process').spawn;
/**
 * execute a command
 * @param command
 * @param commandOptions
 * @param output
 * @param leftPadding
 * @return {Promise<T>}
 */
const execCommandFile = (command, commandOptions, output, leftPadding) => {
    return new Promise(function (resolve, reject) {
        const children = spawn(command, commandOptions);
        children.stdout.on('data', function (data) {
            data.toString().split('\n').forEach(v => {
                if (v.length > 0)
                    output.write(leftPadding + v + '\n');
            });
        });
        children.stderr.on('data', function (data) {
            data.toString().split('\n').forEach(v => {
                if (v.length > 0)
                    output.write(leftPadding + v + '\n');
            });
        });
        children.on('exit', function () {
            resolve();
        });
        children.on('error', (error) => {
            reject(error);
        });
    });
};
exports.default = execCommandFile;
//# sourceMappingURL=execCommandFile.js.map