Object.defineProperty(exports, "__esModule", { value: true });
const pathSource = require("path");
/**
 * Returns  mk ext name of file name.
 * @param {string} strPath file fullName that contain path
 * @return {string|null}
 */
const getMKFileExtName = (strPath) => {
    let name = pathSource.parse(strPath).base;
    let parts = name.split('.');
    if (parts.length < 2) {
        return null;
    }
    let extName = parts[1].toLowerCase();
    for (let i = 2; i < parts.length; i++) {
        extName += '.' + parts[i].toLowerCase();
    }
    return extName;
};
exports.default = getMKFileExtName;
//# sourceMappingURL=getMKFileExtName.js.map