import createDirNotExist from './createDirNotExist';
import deleteDirExist from './deleteDirExist';
import deleteFile from './deleteFile';
import directoryDepth from './directoryDepth';
import directoryExist from './directoryExist';
import execCommandFile from './execCommandFile';
import fileExist from './fileExist';
import firstFile from './firstFile';
import findFiles from './findFiles';
import getDirectoryName from './getDirectoryName';
import getFileName from './getFileName';
import getFileExtName from './getFileExtName';
import getMKFileExtName from './getMKFileExtName';
import getMKFileName from './getMKFileName';
import isFullPath from './isFullPath';
import isLocked from './isLocked';
import moveFile from './moveFile';
import openFile from './openFile';
import openFileAsPlainString from './openFileAsPlainString';
import path from './path';
import pathResolve from './pathResolve';
import realPath from './realPath';
import saveFile from './saveFile';
import unsymbolLink from './unsymbolLink';
import zipFile from './zipFile';
declare const FileTools: {
    createDirNotExist: (str: string) => void;
    deleteDirExist: (strPath: string) => void;
    deleteFile: (strPath: string) => void;
    directoryDepth: (strPath: string) => number;
    directoryExist: (str: string) => boolean;
    execCommandFile: (command: string, commandOptions: string[], output: any, leftPadding: string) => Promise<{}>;
    fileExist: (strPath: string) => boolean;
    firstFile: (pattern: string, options?: Object) => string | null;
    findFiles: (pattern: string, options?: Object) => string[];
    getDirectoryName: (strPath: string) => string;
    getFileName: (strPath: string) => string;
    getFileExtName: (strPath: string) => string | null;
    getMKFileExtName: (strPath: string) => string | null;
    getMKFileName: (strPath: string) => string | null;
    isFullPath: (strRoot: string, strPath: string) => boolean;
    isLocked: (path: string) => boolean;
    moveFile: (sourcePath: string, destPath: string) => Promise<{}>;
    openFile: (strPath: string, strType?: string | null, strMode?: string, strEncoding?: string) => string | Object | null;
    openFileAsPlainString: (str: string, encoding?: string) => string;
    path: (arrayStrPaths: string | string[], strDirName?: string) => string;
    pathResolve: (strPath: string, strDirName: string) => string;
    realPath: (strPath: string) => string;
    saveFile: (strPath: string, content: string | Object) => void;
    unsymbolLink: (strPath: string) => string | boolean | null;
    zipFile: (sourcePath: any, destPath: any, isDelete?: boolean) => Promise<{}>;
};
export default FileTools;
export { createDirNotExist, deleteDirExist, deleteFile, directoryDepth, directoryExist, execCommandFile, fileExist, firstFile, findFiles, getDirectoryName, getFileName, getFileExtName, getMKFileExtName, getMKFileName, isFullPath, isLocked, moveFile, openFile, openFileAsPlainString, path, pathResolve, realPath, saveFile, unsymbolLink, zipFile };
