Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
/**
 * check path in root is full path
 * @param {string} sourcePath -root path
 * @param {string} destPath -check path in root path
 * @return {boolean} -true meaning is full path,otherwise false
 */
const moveFile = (sourcePath, destPath) => {
    return new Promise(function (resolve, reject) {
        const source = fs.createReadStream(sourcePath);
        const destination = fs.createWriteStream(destPath);
        source.pipe(destination, { end: false });
        source.on('end', function () {
            fs.unlinkSync(sourcePath);
            resolve(true);
        });
        source.on('error', reject);
    });
};
exports.default = moveFile;
//# sourceMappingURL=moveFile.js.map