Object.defineProperty(exports, "__esModule", { value: true });
const fileExist_1 = require("./fileExist");
const realPath_1 = require("./realPath");
const getFileExtName_1 = require("./getFileExtName");
const openFileAsPlainString_1 = require("./openFileAsPlainString");
/**
 * open file as string or object

 * @param {string} strPath - file path
 * @param {string} [strType] - support 'js' ,'json' 'yml' 'yaml'.default value is file extend name
 * @param {string} [strMode] - 'object' meaning open as object ,'string' meaning open as string,
 * default value is object
 * @param {string} [strEncoding] - file encoding .default value is utf8
 *  - 'ascii'
 *  - 'utf8'
 *  - 'utf16le'
 *  - 'base64'
 *  - 'binary'
 *  - 'hex'
 * @returns {string|Object}
 */
const openFile = (strPath, strType = null, strMode = 'object', strEncoding = 'utf8') => {
    if (!fileExist_1.default(strPath)) {
        return null;
    }
    strPath = realPath_1.default(strPath);
    strType = strType || getFileExtName_1.default(strPath);
    let result;
    if ((strType === 'js' || strType === 'json') && strMode === 'object') {
        result = require(strPath);
    }
    else {
        result = openFileAsPlainString_1.default(strPath, strEncoding);
    }
    return result;
};
exports.default = openFile;
//# sourceMappingURL=openFile.js.map