Object.defineProperty(exports, "__esModule", { value: true });
const pathSource = require("path");
const pathResolve_1 = require("./pathResolve");
/**
 *  joins all given path segments together using the platform specific separator
 *  as a delimiter, then normalizes the resulting path.

 * @param {string[]} arrayStrPaths - A array of path
 *
 *  path variable:
 * - $dirName = __dirname
 * - $process = process.cwd()
 * @param {string} [strDirName] - file path **__dirname**
 */
const path = (arrayStrPaths, strDirName = '') => {
    let realPaths = [];
    if (Array.isArray(arrayStrPaths)) {
        arrayStrPaths.map(subPath => {
            const result = pathResolve_1.default(subPath, strDirName);
            if (result) {
                realPaths.push(result);
            }
        });
    }
    else {
        realPaths.push(arrayStrPaths);
    }
    return pathSource.join.apply(null, realPaths);
};
exports.default = path;
//# sourceMappingURL=path.js.map