Object.defineProperty(exports, "__esModule", { value: true });
const realPath_1 = require("./realPath");
const fs = require("fs");
/**
 * if path is symbol link ,return real path
 * @param {string} strPath
 * @returns {string|null}
 */
const unSymbolLink = (strPath) => {
    if (!strPath) {
        return null;
    }
    let stats;
    try {
        stats = fs.lstatSync(strPath);
    }
    catch (e) {
        return null;
    }
    if (!stats) {
        return null;
    }
    if (stats.isSymbolicLink()) {
        let realPathStr = realPath_1.default(strPath);
        return unSymbolLink(realPathStr);
    }
    else {
        return stats.isDirectory() ? strPath : null;
    }
};
exports.default = unSymbolLink;
//# sourceMappingURL=unsymbolLink.js.map