Object.defineProperty(exports, "__esModule", { value: true });
const zlib = require("zlib");
const fs = require("fs");
const gzip = zlib.createGzip();
const zipFile = (sourcePath, destPath, isDelete = false) => {
    return new Promise(function (resolve, reject) {
        const source = fs.createReadStream(sourcePath);
        const destination = fs.createWriteStream(destPath);
        source.pipe(gzip).pipe(destination, { end: false });
        source.on('end', function () {
            if (isDelete) {
                fs.unlinkSync(sourcePath);
            }
            resolve(true);
        });
        source.on('error', function (error) {
            reject(error);
        });
    });
};
exports.default = zipFile;
//# sourceMappingURL=zipFile.js.map